An Analysis is a pre-computed collection of statistics about Project source code and contributors.
An individual Analysis never changes. When a Project's source code is modified, a completely new Analysis is generated for that Project. Eventually, old analyses are deleted from the database. Therefore, you should always obtain the ID of the best current analysis from the project record before requesting an analysis.
The Analysis object described here contains only a few top-level metrics. Detailed, historical metrics are contained within child objects of an Analysis, which will be exposed through the API at a later date.
logged_at time is the most pessimistic time among all the Repositories included in the Project.min_month indicates the first month for which Ohloh has monthly historical statistics available for this project. This is typically the date of the first project commit, truncated to the beginning of its calendar month. Only the year and month fields are significant.max_month usually refers to the current month, but it may be slightly older. Only the year and month fields are significant. Ohloh's monthly statistics for max_month are usually smaller than other months because the complete month has not yet elapsed, and it reflects ongoing development work.max_month.To get a particular Analysis for a single Project:
GET http://www.ohloh.net/projects/{project_id}/analyses/{analysis_id}.xml
A shortcut to the current best Analysis for a single Project can be made by substituting 'latest' for the analysis ID:
GET http://www.ohloh.net/projects/{project_id}/analyses/latest.xml